#include "include.h"

PUBLIC void init_palette()
{
    static u8 table_rgb[16 * 3] = {
        0x00, 0x00, 0x00,
        0xff, 0x00, 0x00,
        0x00, 0xff, 0x00,
        0xff, 0xff, 0x00,
        0x00, 0x00, 0xff,
        0xff, 0x00, 0xff,
        0x00, 0xff, 0xff,
        0xff, 0xff, 0xff,
        0xc6, 0xc6, 0xc6,
        0x84, 0x00, 0x00,
        0x00, 0x84, 0x00,
        0x84, 0x84, 0x00,
        0x00, 0x00, 0x84,
        0x84, 0x00, 0x84,
        0x00, 0x84, 0x84,
        0x84, 0x84, 0x84
    };
    set_palette(0, 15, table_rgb);
    return;
}

PUBLIC void set_palette(int start, int end, u8 *rgb)
{
    int i, eflags;
    eflags = load_eflags();
    disable_int();
    out_byte(0x03c8, start);
    for (i = start; i <= end; i++) {
        out_byte(0x03c9, rgb[0] / 4);
        out_byte(0x03c9, rgb[1] / 4);
        out_byte(0x03c9, rgb[2] / 4);
        rgb += 3;
    }
    store_eflags(eflags);
    return;
}