#ifndef _MERGEOS_DEBUG_H_
#define _MERGEOS_DEBUG_H_

#define panic(...) panic_spin (__FILE__, __LINE__, __func__, __VA_ARGS__)

#ifdef NDEBUG
#define assert(condition) ((void)(condition))
#else
#define assert(condition) \
    if (condition); \
    else panic(#condition);
#endif

#endif