#ifndef _MERGEOS_GLOBAL_H_
#define _MERGEOS_GLOBAL_H_

#ifdef GLOBAL_VARIABLES_HERE
#undef EXTERN
#define EXTERN
#endif

EXTERN int x, y;
EXTERN u8         gdt_ptr[6];
EXTERN DESCRIPTOR gdt[GDT_SIZE];
EXTERN u8         idt_ptr[6];
EXTERN GATE       idt[IDT_SIZE];
EXTERN TSS        tss;
EXTERN PROCESS   *p_proc_ready;

EXTERN int        k_reenter;
EXTERN PROCCTL   *procctl;
EXTERN int        ticks;
EXTERN FIFO32     keyfifo;
EXTERN u32        keybuf[32];

extern BOOTINFO  *binfo;
extern char       hankaku[];
extern char      *vram;
extern int        xsize, ysize;
extern MEMMAN    *memman;
extern irq_handler irq_table[];
extern u32        keymap[];

#endif