#ifndef _MERGEOS_MEMORY_H_
#define _MERGEOS_MEMORY_H_

#define EFLAGS_AC_BIT 0x00040000
#define CR0_CACHE_DISABLE 0x60000000

#define MEMMAN_FREES 4090

typedef struct s_freeinfo {
    u32 addr, size;
} FREEINFO;

typedef struct s_memorymanager {
    int frees, maxfrees, lostsize, losts;
    FREEINFO free[MEMMAN_FREES];
} MEMMAN;

#endif