#include "include.h"

PUBLIC int sys_get_ticks()
{
    return ticks;
}

PUBLIC void schedule()
{
    PROCESS *p;
    int greatest_ticks = 0;

    while (!greatest_ticks) {
        for (p = procctl->tasks0; p < procctl->tasks0 + procctl->running; p++) {
            if (p->ticks > greatest_ticks) {
                greatest_ticks = p->ticks;
                p_proc_ready = p;
            }
        }

        if (!greatest_ticks) {
            for (p = procctl->tasks0; p < procctl->tasks0 + procctl->running; p++) {
                p->ticks = p->priority;
            }
        }
    }
}
