#include "include.h"

PUBLIC void keyboard_driver()
{
    while (1) {
        keyboard_read();
    }
}

PUBLIC void in_process(u32 key)
{
    char output;

    if (!(key & FLAG_EXT)) {
        output = key & 0xFF;
        put_char(output);
    } else {
        int raw_code = key & MASK_RAW;
        switch (raw_code) {
            case ENTER:
                put_char('\n');
                break;
            case BACKSPACE:
                put_char('\b');
                break;
        }
    }
}
