#include "include.h"

PUBLIC void panic_spin(char *filename, int line, const char *func, const char *condition)
{
    disable_int();

    put_str("\n\n\n\n\n\n\nDebug Assertion Failed");
    put_str("\nIn file: ");
    put_str(filename);
    put_str(" (Line ");
    put_int(line);
    put_str(")\nFunction: ");
    put_str(func);
    put_str("\nAssert Condition: ");
    put_str(condition);

    while (1) asm("hlt");
}